<ngb-tabset class="onboarding-tab" (tabChange)="beforeChange($event)" #assetBoardingTab>
  <ngb-tab id="assetTab">
    <ng-template ngbTabTitle>
      <div class="wizard-box">
        <svg class="svg-icon">
          <use [attr.xlink:href]="wizardItems[0].icon" *ngIf="!wizardItems[0].active"></use>
          <use [attr.xlink:href]="wizardItems[0].activeIcon" *ngIf="wizardItems[0].active"></use>
        </svg>
        <svg class="status-icon">
          <use [attr.xlink:href]="wizardItems[0].statusIcon"></use>
        </svg>
        <span class="timeline-line"></span>
        <div class="title hidden-xs">{{wizardItems[0].name}}</div>
      </div>
    </ng-template>
    <ng-template ngbTabContent>
      <app-create-asset (status)="moveNextTab($event)" (createDeviceOrFacility)="createDeviceOrFacility($event)"></app-create-asset>
    </ng-template>
  </ngb-tab>
  <ngb-tab id="facilityTab">
    <ng-template ngbTabTitle>
      <div class="wizard-box">
        <svg class="svg-icon">
          <use [attr.xlink:href]="wizardItems[1].icon" *ngIf="!wizardItems[1].active"></use>
          <use [attr.xlink:href]="wizardItems[1].activeIcon" *ngIf="wizardItems[1].active"></use>
        </svg>
        <svg class="status-icon">
          <use [attr.xlink:href]="wizardItems[1].statusIcon"></use>
        </svg>
        <span class="timeline-line"></span>
        <div class="title hidden-xs">{{wizardItems[1].name}}</div>
      </div>
    </ng-template>
    <ng-template ngbTabContent>
      <app-create-facility (deviceOrFacilityCreated)="deviceOrFacilityCreated($event)" (back)="gotoPreviousTab($event)"></app-create-facility>
    </ng-template>
  </ngb-tab>
  <ngb-tab id="deviceTab">
    <ng-template ngbTabTitle>
      <div class="wizard-box">
        <svg class="svg-icon">
          <use [attr.xlink:href]="wizardItems[2].icon" *ngIf="!wizardItems[2].active"></use>
          <use [attr.xlink:href]="wizardItems[2].activeIcon" *ngIf="wizardItems[2].active"></use>
        </svg>
        <svg class="status-icon">
          <use [attr.xlink:href]="wizardItems[2].statusIcon"></use>
        </svg>
        <span class="timeline-line"></span>
        <div class="title hidden-xs">{{wizardItems[2].name}}</div>
      </div>
    </ng-template>
    <ng-template ngbTabContent>
      <app-create-device (deviceOrFacilityCreated)="deviceOrFacilityCreated($event)" (back)="gotoPreviousTab($event)"></app-create-device>
    </ng-template>
  </ngb-tab>
</ngb-tabset>
